Difference between revisions of "User:Exe boss/styles/Module:Factory slot.css"

From The Perfect Tower II
Jump to navigation Jump to search
(Create CSS page to style Module:Factory slot)
 
(Add background colour and negative margins)
 
(3 intermediate revisions by the same user not shown)
Line 1: Line 1:
.mw-parser-output .factoryslot {
+
/* [[mw:Help:TemplateStyles]] for [[Module:Factory slot]] */
 +
 
 +
.factoryslot {
 
display: inline-block;
 
display: inline-block;
 
border: 1px solid black;
 
border: 1px solid black;
 +
background-color: rgba(255, 255, 255, 0.4);
 
width: 32px;
 
width: 32px;
 
height: 32px;
 
height: 32px;
 
padding: 8px;
 
padding: 8px;
 +
margin: -1px;
 
line-height: 1;
 
line-height: 1;
 
}
 
}
  
.mw-parser-output .factoryslot-item {
+
.factoryslot.locked {
 +
background-color: #333;
 +
}
 +
 
 +
.factoryslot.factoryslot-large {
 +
padding: 12px;
 +
}
 +
 
 +
.factoryslot-item {
 
display: block;
 
display: block;
 
position: relative;
 
position: relative;
Line 17: Line 29:
 
}
 
}
  
.mw-parser-output .factoryslot-item-image {
+
.factoryslot-item-image {
 
image-rendering: crisp-edges;
 
image-rendering: crisp-edges;
 
image-rendering: pixelated;
 
image-rendering: pixelated;
 
}
 
}
  
.mw-parser-output .factoryslot-item .factoryslot-stacksize {
+
.factoryslot-item .factoryslot-stacksize {
 
position: absolute;
 
position: absolute;
 
bottom: 0;
 
bottom: 0;

Latest revision as of 18:14, 20 April 2026

/* [[mw:Help:TemplateStyles]] for [[Module:Factory slot]] */

.factoryslot {
	display: inline-block;
	border: 1px solid black;
	background-color: rgba(255, 255, 255, 0.4);
	width: 32px;
	height: 32px;
	padding: 8px;
	margin: -1px;
	line-height: 1;
}

.factoryslot.locked {
	background-color: #333;
}

.factoryslot.factoryslot-large {
	padding: 12px;
}

.factoryslot-item {
	display: block;
	position: relative;
	width: 32px;
	height: 32px;
	margin: -4px;
	padding: 4px;
}

.factoryslot-item-image {
	image-rendering: crisp-edges;
	image-rendering: pixelated;
}

.factoryslot-item .factoryslot-stacksize {
	position: absolute;
	bottom: 0;
	right: 0;
	text-align: right;
	white-space: nowrap;
	font-family: sans-serif !important;
	font-style: normal !important;
}